import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./stateful-table.stories";

<Meta of={ComponentStories} name="Docs" />

# Stateful Table

The `<ux-iws-stateful-table>` component renders the list data it retrieves from the related `ContentDataProvider`
in a table view which supports sorting.

The component is connected to any `<ux-iws-stateful-filter>` component with the same `scope`.

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
